%define upstream_name	 Algorithm-Graphs-TransitiveClosure
%define upstream_version 2009110901

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 11

Summary:	    Calculate the transitive closure
License:	    GPL+ or Artistic
Group:		    Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	    noarch
Obsoletes: perl-TransitiveClosure <= 1.4
Provides:  perl-TransitiveClosure = %{version}-%{release}

%description
This is an implementation of the well known Floyd-Warshall algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.yml
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2009110901.0.0-11.mga9
+ Revision: 1808206
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2009110901.0.0-10.mga8
+ Revision: 1503420
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2009110901.0.0-9.mga7
+ Revision: 1281555
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2009110901.0.0-8.mga7
+ Revision: 1162777
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2009110901.0.0-7.mga6
+ Revision: 1022259
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 2009110901.0.0-6.mga6
+ Revision: 930873
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2009110901.0.0-5.mga5
+ Revision: 746927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2009110901.0.0-4.mga5
+ Revision: 683450
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2009110901.0.0-3.mga4
+ Revision: 509049
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2009110901.0.0-2.mga3
+ Revision: 362852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2009110901.0.0-1.mga1
+ Revision: 29777
- mageia rebuild
- imported package perl-Algorithm-Graphs-TransitiveClosure

